extends Control

var main_scene : PackedScene = preload("res://Scenes/main.tscn")

@onready
var help_panel : Panel = $HelpPanel

func _ready() -> void:
	if OS.has_feature("web"):
		$Buttons/Quit.visible = false

func start_game() -> void:
	get_tree().change_scene_to_packed(main_scene)

func quit() -> void:
	get_tree().quit(0)

func show_help() -> void:
	help_panel.visible = true

func hide_help() -> void:
	help_panel.visible = false
